#### Description:

This function returns a signed value representing the axis increment from axis value v1 to axis value v2.

For a simple Frame, this is a trivial operation returning the difference between the two axis values. But for other derived classes of Frame (such as a SkyFrame) this is not the case.

#### Synopsis

double astAxDistance( AstFrame ∗this, int axis, double v1, double v2 )

#### Parameters:

##### this

Pointer to the Frame.

##### axis

The index of the axis to which the supplied values refer. The first axis has index 1.

##### v1

The first axis value.

##### v2

The second axis value.

#### Returned Value

##### astAxDistance

The distance from the first to the second axis value.

#### Notes:

- This function will return a `"` bad`"` result value (AST__BAD) if any of the input values has this value.

- A `"` bad`"` value will also be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory